PBXCloud pbx
Get PBX subscription plan's sub-plans
Fetch sub-plans of a PBX subscription plan.
PBX subscription plan might have a subplans. Usually, sub-plan has the same configuration details, as the base plan, but it provides another billing options. For example, a plan might have a monthly billing, but it has a sub-plan with a yearly billing and a lower price. If you buy a yearly subscription, you will have the same benefits, as with a monthly subscription.
The id parameter used in this request refers to the unique PBX plan identifier. You can retrieve available plan IDs via GET /api/v1/pbx/plans.
Path Parameters
id*integer
PBX subscription plan unique id
Range
1 <= valueHeader Parameters
Authorization*string
Your API token
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/pbx/plans/1/subplans" \ -H "Authorization: string"{
"code": 0,
"data": {
"sub_plans": [
{
"activation": 0,
"concurrent_call_capacity": 0,
"description": "string",
"extension_capacity": 0,
"frequency": "monthly",
"id": 0,
"monthly": 0,
"recording_capacity": 0,
"sub_plans": [
{
"activation": 0,
"concurrent_call_capacity": 0,
"description": "string",
"extension_capacity": 0,
"frequency": "monthly",
"id": 0,
"monthly": 0,
"recording_capacity": 0,
"sub_plans": [],
"title": "string"
}
],
"title": "string"
}
]
},
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}